Subject: RE: Support for draft-kompella-ppvpn-vpls-01.txt

From: Mourad BERKANE <[email-masked]>
Date: Tue, 29 Apr 2003 16:00:47 +0200

Hi Mike,
 
I don't see in this mailing list something that BGP cannot perform for a
PE-to-PE signaling messages.
 
I'm sure BGP is enough robust to support VPLS applications.
 
The real question already posted in ppvpn discussion is could a PE support
many services (v4,v6,rfc2547bis,l2vpn,VPLS, next services)?
 
The answer is yes.
 
Mourad

-----Message d'origine-----
De : Mike Duckett (Dotnet) [mailto:[email-masked]]
Envoyé : mardi 29 avril 2003 14:32
À : [email-masked]
Objet : Support for draft-kompella-ppvpn-vpls-01.txt

Mourad,
 
You have asked THE question.  What problems do we need to solve that drive
us to a something that BGP cannot perform?   Is BGP sufficiently robust that
we believe future unknowns can be sufficiently addressed (intentionally
vague)?  Are there capabilities that require protracted negotiation specific
to a limited set (e.g., a pair) of PEs?  

----- Original Message ----- 
From: Mourad BERKANE <mailto:[email-masked]>  
To: [email-masked]' <mailto:[email-masked]'>  ;
[email-masked] <mailto:[email-masked]>  
Cc: [email-masked] <mailto:[email-masked]>  ; [email-masked]
<mailto:[email-masked]>  
Sent: Tuesday, April 29, 2003 7:55 AM
Subject: RE: Support for draft-kompella-ppvpn-vpls-01.txt

Robert et al. 

As you hinted here, MP-BGP is much more designed for a *public* inter-AS
session for VPLS. 

Even if LDP/RSVP already present for the forwarding plane inside a MPLS
domain, why should i used LDP for VPLS signalling when BGP already do the
job (IPv4,v6,rfc2547bis,...)???

Mourad 

-----Message d'origine----- 
De : Robert Raszuk [ mailto:[email-masked] <mailto:[email-masked]> ] 
Envoyé : mardi 29 avril 2003 11:26 
À : [email-masked]
<mailto:[email-masked]>  
Cc : [email-masked] <mailto:[email-masked]> ; [email-masked]
<mailto:[email-masked]>  
Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt 

Andres, 

AFAIK there is no need to configure anything rather then a site 
interface on the PEs. Autodiscovery will detect new addition and 
propagate the news to all participants. Then in the lasserre-vkompella 
scheme directed LDP if not already set get's automatically established 
between parties. 

Of course the drawback here is that you need to keep LDP ports open wide 
within inter-AS LDP src ranges which may or may not be an acceptable 
issue :-). 

R. 

> [email-masked] wrote: 
> 
> Hi Eric 
> 
> As I understand it a requirement would be to have a full mesh of LDP 
> sessions between the PEs in the participating AS domains. This means 
> configuration of each PE when for example a new site is added to an 
> already existing VPN. If BGP is used this is not necessary as RRs can be 
> used, minimizing the configuration to the new PE and the RR. 
> But perhaps there exist a solution similar to this for LDP as well? It 
> seems appealing to reuse the 2547bis structure we have also for VPLS if 
> it's possible. 
> 
> My point is that further investigation of the two different solutions 
> before rejecting one or the other would be good 
> 
> /Andreas 
> 
> -----Original Message----- 
> From: Eric Rosen [ mailto:[email-masked] <mailto:[email-masked]> ] 
> Sent: den 28 april 2003 16:29 
> To: Mattsson, Andreas A. /Research /08-713 81 86, 070-618 67 67 
> Cc: [email-masked] 
> Subject: Re: Support for draft-kompella-ppvpn-vpls-01.txt 
> 
> Andreas> I would  also like to  know how inter-AS  with the LDP 
> Andreas> approach in lasserre-vkompella is to be solved. 
> 
> Could you say what the issue is that you think needs to be solved?

---

From: "Nagarajan, Ananth [CC]" <[email-masked]>
Date: Tue, 29 Apr 2003 10:24:21 -0500

> 
> And just to be crystal clear - the choice is up to *individual*
> providers.
> 

No arguments there.  But unlike the above statement, the choice itself is not crystal clear :-)

Ananth

---

From: "Nagarajan, Ananth [CC]" <[email-masked]>
Date: Tue, 29 Apr 2003 11:03:15 -0500

Juha,

> 
>  > I guess operators would have to determine which is the
>  > lesser of the evils - and I am not denying that you would find
>  > operators on both sides of the equation.  My point was 
> that one size
>  > doesn't fit all - so neither BGP nor LDP is the absolute best
>  > solution. We've got to determine which one makes most 
> sense, and that
>  > answer is not as immediately obvious as some of the 
> comments on this
>  > thread make it out to be.
> 
> rather than choosing a lesser evil, how about choosing the good
> solution: radius + l2tp.  should be a perfect match especially for
> sprint, which recently announced an l2tp based vpn solution.
> 

Of course.  My point was regarding the specific vpls proposal that was being discussed on the thread -I should have said - if you have an mpls-based vpls, then we have to choose between the lesser of the evils :-)

Ananth

---

From: Chris Metz <[email-masked]>
Date: Tue, 29 Apr 2003 12:13:44 -0700

At 03:41 PM 4/29/2003 +0200, Mourad BERKANE wrote:

>Hi Jeremy
>
>(sorry about the non confusion)
>
>The "argument" is that today Providers don't (want to) have a (useless) 
>LDP peering sessions for VPLS application because BGP already present 
>between Providers (IP world).

Hey Mourad-
I would not call them "useless". They are as efficient and useful as they 
are in intra-AS case for conveying PW labels and state between PEs.

>Suppose you would like to extend a VPLS domain out of your network, you 
>will need to extend signaling between theses networks ("hi i am PE1 from 
>Carrier A ASN=1 and I would like to join VPLS Z in your domain Carrier B 
>ASN=2, please use label L to send traffic to me"). The fact is that 
>Carrier A and Carrier B could already communicated over IPv4 Public 
>network: a BGP session already exist between A and B and could be used for 
>many services (v4,v6,2547bis AND VPLS)
>
>If you use BGP as VPLS signaling protocols, you will need to setup a 
>MP-eBGP session between AS
>--> re use of existing BGP session between A and B
>
>Forwarding Tunnels used proposed in draft-kompella-ppvpn-vpls could be 
>MPLS,IP or GRE tunnels between A and B.
>Someone who don't (or can't) discuss LDP could be a candidate for an 
>extension of a VPLS domain since the signaling protocol is BGP :-)
>
>If you use LDP as VPLS signaling protocols, you will need to open LDP 
>ports between A and B.
>This new session is dedicated to VPLS services. Of course, It work but why 
>should I manage/troubleshoot this LDP inter-AS sessions since BGP already 
>present for others services?

Specious argument ... you won't troubleshoot the session ... what, it is a 
TCP session, it's either active or not. What you will troubleshoot is the 
status of the PW and ACs at each end. It is seems to me at least the most 
pt-pt reliable PW control channel (i.e. LDP or L2TPv3) is best suited for 
that task.

Cheers ,,,

>De : [email-masked] 
>[<mailto:[email-masked]>mailto:[email-masked]]
>Envoyé : mardi 29 avril 2003 15:03
>À : Mourad BERKANE
>Cc : [email-masked]
>Hi Mourad,
> > LDP is not used as a signaling protocol for IPv4, IPv6 or
> > rfc2547bis :-)
> > BGP is in charge of it (and do the job very well).
>
>BGP distributes routes, it doesn't establish Pseudo-Wires in the
>examples you give.
>
> > May be this will clarify all theses exchanges about signalling in
> > VPLS: adding a new signaling protocol (LDP) whitout any added value
> > versus keeping the same signalling protocol (BGP) for differents
> > services (IP,rfc2547bis,VPLS, futures needs)
> >
> > You may confuse MPLS signaling (LDP or RSVP) and and VPLS signaling
> > (LDP or BGP)?
>
>I'm sure I was not confused by the above ;-)
>
>What I meant was that LDP is used for pseudo-wire signaling
>(<http://www.ietf.org/html.charters/pwe3-charter.html>http://www.ietf.org/html.charters/pwe3-charter.html, 
>"Pseudo-Wire Setup
>and Maintenance using LDP"), and that VPLS uses pseudo-wires.
>
>So arguments that say "BGP because it is also used for X" or "LDP
>because it is also used for Y" are not convincing enough for me, as
>you'll have BGP in some environments (2547) and LDP in other
>environments (PWE3) and LDP + BGP in many environments ;-)
>
>What I really wanted to know is what the difference is for inter-AS
>applications, as this seems to be one of the *technical* arguments.
>
>Jeremy.
>
> >
> > Mourad
> >
> > De : [email-masked] 
> [<mailto:[email-masked]>mailto:[email-masked]]
> > Envoyé : mardi 29 avril 2003 14:19
> > À : Mourad BERKANE
> > Cc : [email-masked]'; [email-masked];
> > [email-masked]; [email-masked]
> > > As you hinted here, MP-BGP is much more designed for a *public*
> > > inter-AS session for VPLS.
> >
> > I still don't understand why MP-BGP is more appropriate than LDP for
> > this application. I probably need more than a "hint" to fully
> > understand
> > it ;-)
> >
> > > Even if LDP/RSVP already present for the forwarding plane inside a
> > > MPLS domain, why should i used LDP for VPLS signalling when BGP
> > > already do the job (IPv4,v6,rfc2547bis,...)???
> >
> > You can turn this around: Even if BGP is already present for 2547bis,
> > v4, v6 etc, why should I use BGP for VPLS signaling when LDP already
> > does the job (LDP for intra-AS tunnel LSPs, LDP for individual PWE3
> > Pseudo-Wires, ...) ?
> >
> > [I guess the answer to both of the above questions is given in the
> > large
> > number of previous emails on this topic ;-)]
> >
> > Jeremy.
> >
> > > Mourad
> > >
> > > De : Robert Raszuk [<mailto:[email-masked]>mailto:[email-masked]]
> > > Cc : [email-masked]; [email-masked]
> > > > But perhaps there exist a solution similar to this for LDP as
> > well?
> > > It
> > > > seems appealing to reuse the 2547bis structure we have also for
> > VPLS
> > > if
> > > > it's possible.
> > > >
> > > > From: Eric Rosen [<mailto:[email-masked]>mailto:[email-masked]]

---

From: Ali Sajassi <[email-masked]>
Date: Tue, 29 Apr 2003 16:33:48 -0700

At 05:51 PM 4/29/2003 +0200, Mourad BERKANE wrote:

>Eric> Certainly it's true  that LDP is NOT  a routing protocol, and 
>that  BGP IS a
>Eric> 
>routing  protocol.   It's   also  true  that  both  are   used,  in  varying
>Eric> circumstances, for  distributing MPLS  labels.  As VPLS  does 
>not  require a
>Eric> routing protocol,  I'm not sure  how one is  supposed to 
>conclude  from this
>Eric> that BGP is a better signaling protocol for VPLS.
>
>If you consider VPLS service without others ones then OK both LDP and BGP 
>could be used as signaling protocol
>I can add that as you said LDP is not able to autodiscovery but BGP could
>
>How will planed to offer VPLS service whitout IPv4 v6 L3VPN L2VPN ????
>
>Now if you consider VPLS on a multiservices network then you will conclude 
>that BGP is more than well positionned for the control plane of theses 
>multiservices

Yes, we all agree that we should leverage BGP as control plane among 
different VPN services such as VPWS, VPLS, and L3VPN but that doesn't mean 
to force the BGP for applications that is not suitable for. BGP is used for 
auto-discovery and distribution of IPv4 routes in L3VPN; whereas, in L2VPN 
applications (VPWS or VPLS) they are talking about auto-discovery and 
signaling (and the signaling part for PtP PWs didn't exist in L3VPN as has 
been discussed so many times).
So the idea is to use best of both worlds: a) to leverage BGP as 
auto-discovery mechanism across all VPN types and b) to leverage PtP 
signaling mechanism of VPWS (which is already used and deployed) for VPLS 
which also requires PtP PWs.

-Ali